
QGIS Application - Bug report #9216

The map becomes black when scale is > 1:1600

2013-12-16 06:02 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17839

Description

Hi,

I use some XML files to display TMS in QGIS like these files :

http://www.gdal.org/frmt_wms.html

If I zoom to much on the layer (I guess when no tiles are available on the server side : z18 for instance), my map canvas becomes black

or colors are like a rainbow.

Tiles should be resized.

Regards

History

#1 - 2013-12-16 07:40 AM - Richard Duivenvoorde

hi Etienne,

I cannot reproduce your problem here. Both in 2.0.1 and in QGIS testing, using your osmfr.xml I can zoom in till pixel/1:1 zoom level.

I think QGIS is just reading the rasters it gets from GDAL. So maybe you are running a different version of GDAL?

Can you give some more info about versions/OS that you do. Maybe upload an screendump?

In the about box you can find that info. Mine shows:

QGIS version    2.0.1-Dufour    QGIS code revision    c2d5400

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.9.0    Running against GDAL/OGR    1.9.0

Compiled against GEOS    3.3.3-CAPI-1.7.4    Running against GEOS    3.3.3-CAPI-1.7.4

PostgreSQL Client Version    9.3.1    SpatiaLite Version    3.1.0-RC2

QWT Version    5.2.3    PROJ.4 Version    470

QScintilla2 Version    2.7.2    This copy of QGIS writes debugging output.

#2 - 2013-12-16 08:14 AM - Etienne Trimaille

- File OSM.png added

- File google.png added
http://www.gdal.org/frmt_wms.html


I have GDAL 1.9.0

One of my friend has the same bug, I'm sure he has 1.10 (I'm going to ask him).

My about box :

Version de QGIS    2.0.1-Dufour    Révision du code    exported

Compilé avec Qt    4.8.4    Utilisant Qt    4.8.4

Compilé avec GDAL/OGR    1.9.0    Utilisé avec GDAL/OGR    1.9.0

Compiled against GEOS    3.3.3-CAPI-1.7.4    Running against GEOS    3.3.3-CAPI-1.7.4

Version du client PostgreSQL    9.1.9    Version de SpatiaLite    3.1.0-RC2

Version de QWT    5.2.3    Version de PROJ.4 :    470

Version de QScintilla2

I tried to understand when this bug occur precisely with Google and OSM layers.

#3 - 2015-05-23 06:39 AM - Etienne Trimaille

- Status changed from Open to Closed

I can't replicate it anymore.

#4 - 2015-05-23 11:03 AM - Giovanni Manghi

- Resolution set to not reproducable

Files

osmfr.xml 659 Bytes 2013-12-16 Etienne Trimaille

google.png 1.13 MB 2013-12-16 Etienne Trimaille

OSM.png 475 KB 2013-12-16 Etienne Trimaille
